geos::operation::overlay::validate::FuzzyPointLocator Class Reference

Finds the most likely Location of a point relative to the polygonal components of a geometry, using a tolerance value. More...

`#include <FuzzyPointLocator.h>`

## Public Member Functions

| FuzzyPointLocator (const geom::Geometry &geom, double nTolerance)
geom::Location | getLocation (const geom::Coordinate &pt)

## Detailed Description

Finds the most likely Location of a point relative to the polygonal components of a geometry, using a tolerance value.

If a point is not clearly in the Interior or Exterior, it is considered to be on the Boundary. In other words, if the point is within the tolerance of the Boundary, it is considered to be on the Boundary; otherwise, whether it is Interior or Exterior is determined directly.

The documentation for this class was generated from the following file:

- FuzzyPointLocator.h